package cc.smtweb.biz.mztb.web.base;

import cc.smtweb.framework.core.annotation.SwTable;
import cc.smtweb.framework.core.common.SwMap;
import cc.smtweb.framework.core.db.impl.DefaultEntity;

/**
 * Created by 1 at 2024-01-04 11:08:42
 * 实体【[填报主表](TB_FILL_OUT)】的Entity类
 */
@SwTable("TB_FILL_OUT")
public class FillOut extends DefaultEntity {
    public static final String ENTITY_NAME = "TB_FILL_OUT";

    public FillOut() {
        super(ENTITY_NAME);
    }

    /** 主键 */
    public long getId() {
        return getLong("fo_id");
    }

    /** 主键 */
    public void setId(long fo_id) {
        put("fo_id", fo_id);
    }
    /** 最后更新时间 */
    public long getUpdateAt() {
        return getLong("fo_update_at");
    }

    /** 最后更新时间 */
    public void setUpdateAt(long fo_update_at) {
        put("fo_update_at", fo_update_at);
    }
    /** 任务月 */
    public long getTask() {
        return getLong("fo_task");
    }

    /** 任务月 */
    public void setTask(long fo_task) {
        put("fo_task", fo_task);
    }
    /** 填报类型 */
    public int getType() {
        return getInt("fo_type");
    }

    /** 填报类型 */
    public void setType(int fo_type) {
        put("fo_type", fo_type);
    }
    /** 状态 */
    public int getState() {
        return getInt("fo_state");
    }

    /** 状态 */
    public void setState(int fo_state) {
        put("fo_state", fo_state);
    }
    /** 填报人 */
    public String getUser() {
        return getStr("fo_user");
    }

    /** 填报人 */
    public void setUser(String fo_user) {
        put("fo_user", fo_user);
    }
    /** 填报时间 */
    public long getDate() {
        return getLong("fo_date");
    }

    /** 填报时间 */
    public void setDate(long fo_date) {
        put("fo_date", fo_date);
    }
    /** 填报机构Id */
    public long getPartyId() {
        return getLong("fo_party_id");
    }

    /** 填报机构Id */
    public void setPartyId(long fo_party_id) {
        put("fo_party_id", fo_party_id);
    }
    /** 读取时间 */
    public long getReadTime() {
        return getLong("fo_read_time");
    }

    /** 读取时间 */
    public void setReadTime(long fo_read_time) {
        put("fo_read_time", fo_read_time);
    }
}
